## r-bioc-chemminer 3.40.0+dfsg

=== DESCRIPTION ===
Package: ChemmineR
Type: Package
Title: Cheminformatics Toolkit for R
Version: 3.40.0
Date: 2020-2-13
Author: Y. Eddie Cao, Kevin Horan, Tyler Backman, Thomas Girke
Maintainer: Thomas Girke <thomas.girke@ucr.edu>
Description: ChemmineR is a cheminformatics package for analyzing drug-like small molecule data in R. Its latest version contains functions for efficient processing of large numbers of molecules, physicochemical/structural property predictions, structural similarity searching, classification and clustering of compound libraries with a wide spectrum of algorithms. In addition, it offers visualization functions for compound clustering results and chemical structures.
License: Artistic-2.0
Depends: R (>= 2.10.0), methods
biocViews: Cheminformatics, BiomedicalInformatics, Pharmacogenetics,
        Pharmacogenomics, MicrotitrePlateAssay, CellBasedAssays,
        Visualization, Infrastructure, DataImport, Clustering,
        Proteomics,Metabolomics
Imports: rjson, graphics, stats, RCurl, DBI, digest, BiocGenerics, Rcpp
        (>= 0.11.0), ggplot2,grid,gridExtra, png,base64enc,DT,rsvg
Suggests: RSQLite, scatterplot3d, gplots, fmcsR, snow, RPostgreSQL,
        BiocStyle, knitr, knitcitations, knitrBootstrap, ChemmineOB (>=
        1.16.1), ChemmineDrugs, png,rmarkdown, BiocManager
Enhances: ChemmineOB
URL: https://github.com/girke-lab/ChemmineR
VignetteBuilder: knitr
LinkingTo: Rcpp, BH
SystemRequirements: GNU make
git_url: https://git.bioconductor.org/packages/ChemmineR
git_branch: RELEASE_3_11
git_last_commit: dc28e93
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
NeedsCompilation: yes
Packaged: 2020-04-28 00:01:24 UTC; biocbuild

=== debian/changelog ===
r-bioc-chemminer (3.40.0+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:06:13 +0000

r-bioc-chemminer (3.40.0+dfsg-2) unstable; urgency=medium

  * Update patch to skip another test requiring ChemmineOB (Closes: #961001)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 25 May 2020 07:15:47 +0200

r-bioc-chemminer (3.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 09:18:17 +0200

r-bioc-chemminer (3.38.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch to skip tests requiring packages not yet available in Debian.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Apr 2020 11:45:19 +0200

r-bioc-chemminer (3.38.0+dfsg-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Fri, 03 Apr 2020 11:36:07 +0200

r-bioc-chemminer (3.38.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #955129)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2020 21:38:53 +0100

=== debian/control ===
Source: r-bioc-chemminer
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rjson,
               r-cran-rcurl,
               r-cran-dbi,
               r-cran-digest,
               r-bioc-biocgenerics,
               r-cran-rcpp,
               r-cran-ggplot2,
               r-cran-gridextra,
               r-cran-png,
               r-cran-base64enc,
               r-cran-dt,
               r-cran-rsvg,
               r-cran-bh
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer.git
Homepage: https://bioconductor.org/packages/ChemmineR/
Rules-Requires-Root: no

Package: r-bioc-chemminer
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Cheminformatics Toolkit for R
 ChemmineR is a cheminformatics package for analyzing drug-like small
 molecule data in R. Its latest version contains functions for efficient
 processing of large numbers of molecules, physicochemical/structural
 property predictions, structural similarity searching, classification
 and clustering of compound libraries with a wide spectrum of algorithms.
 In addition, it offers visualization functions for compound clustering
 results and chemical structures.

## r-bioc-chemminer 3.42.1+dfsg

=== DESCRIPTION ===
Package: ChemmineR
Type: Package
Title: Cheminformatics Toolkit for R
Version: 3.42.1
Date: 2021-01-06
Author: Y. Eddie Cao, Kevin Horan, Tyler Backman, Thomas Girke
Maintainer: Thomas Girke <thomas.girke@ucr.edu>
Description: ChemmineR is a cheminformatics package for analyzing drug-like small molecule data in R. Its latest version contains functions for efficient processing of large numbers of molecules, physicochemical/structural property predictions, structural similarity searching, classification and clustering of compound libraries with a wide spectrum of algorithms. In addition, it offers visualization functions for compound clustering results and chemical structures.
License: Artistic-2.0
Depends: R (>= 2.10.0), methods
biocViews: Cheminformatics, BiomedicalInformatics, Pharmacogenetics,
        Pharmacogenomics, MicrotitrePlateAssay, CellBasedAssays,
        Visualization, Infrastructure, DataImport, Clustering,
        Proteomics,Metabolomics
Imports: rjson, graphics, stats, RCurl, DBI, digest, BiocGenerics, Rcpp
        (>= 0.11.0), ggplot2,grid,gridExtra, png,base64enc,DT,rsvg
Suggests: RSQLite, scatterplot3d, gplots, fmcsR, snow, RPostgreSQL,
        BiocStyle, knitr, knitcitations, knitrBootstrap, ChemmineDrugs,
        png,rmarkdown, BiocManager
Enhances: ChemmineOB
URL: https://github.com/girke-lab/ChemmineR
VignetteBuilder: knitr
LinkingTo: Rcpp, BH
SystemRequirements: GNU make
git_url: https://git.bioconductor.org/packages/ChemmineR
git_branch: RELEASE_3_12
git_last_commit: 3047632
git_last_commit_date: 2021-01-06
Date/Publication: 2021-01-07
NeedsCompilation: yes
Packaged: 2021-01-07 23:24:07 UTC; biocbuild

=== debian/changelog ===
r-bioc-chemminer (3.42.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 08:47:02 +0100

r-bioc-chemminer (3.42.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 08:50:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-bioc-chemminer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rjson,
@@ -21,7 +20,7 @@
                r-cran-dt,
                r-cran-rsvg,
                r-cran-bh
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer.git
 Homepage: https://bioconductor.org/packages/ChemmineR/

## r-bioc-chemminer 3.46.0+dfsg

=== DESCRIPTION ===
Package: ChemmineR
Type: Package
Title: Cheminformatics Toolkit for R
Version: 3.46.0
Date: 2021-10-18
Author: Y. Eddie Cao, Kevin Horan, Tyler Backman, Thomas Girke
Maintainer: Thomas Girke <thomas.girke@ucr.edu>
Description: ChemmineR is a cheminformatics package for analyzing drug-like small molecule data in R. Its latest version contains functions for efficient processing of large numbers of molecules, physicochemical/structural property predictions, structural similarity searching, classification and clustering of compound libraries with a wide spectrum of algorithms. In addition, it offers visualization functions for compound clustering results and chemical structures.
License: Artistic-2.0
Depends: R (>= 2.10.0), methods
biocViews: Cheminformatics, BiomedicalInformatics, Pharmacogenetics,
        Pharmacogenomics, MicrotitrePlateAssay, CellBasedAssays,
        Visualization, Infrastructure, DataImport, Clustering,
        Proteomics,Metabolomics
Imports: rjson, graphics, stats, RCurl, DBI, digest, BiocGenerics, Rcpp
        (>= 0.11.0), ggplot2,grid,gridExtra,
        png,base64enc,DT,rsvg,jsonlite,stringi
Suggests: RSQLite, scatterplot3d, gplots, fmcsR, snow, RPostgreSQL,
        BiocStyle, knitr, knitcitations, knitrBootstrap, ChemmineDrugs,
        png,rmarkdown, BiocManager
Enhances: ChemmineOB
URL: https://github.com/girke-lab/ChemmineR
VignetteBuilder: knitr
LinkingTo: Rcpp, BH
SystemRequirements: GNU make
git_url: https://git.bioconductor.org/packages/ChemmineR
git_branch: RELEASE_3_14
git_last_commit: a998b14
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 21:03:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-chemminer (3.46.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.46.0+dfsg
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 15:21:38 +0530

r-bioc-chemminer (3.44.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 01 Sep 2021 20:31:29 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,10 @@
                r-cran-base64enc,
                r-cran-dt,
                r-cran-rsvg,
+               r-cran-jsonlite,
+               r-cran-stringi,
                r-cran-bh
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer.git
 Homepage: https://bioconductor.org/packages/ChemmineR/

## r-bioc-chemminer 3.48.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ChemmineR
 Type: Package
 Title: Cheminformatics Toolkit for R
-Version: 3.46.0
-Date: 2021-10-18
+Version: 3.48.0
+Date: 2022-03-25
 Author: Y. Eddie Cao, Kevin Horan, Tyler Backman, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
 Description: ChemmineR is a cheminformatics package for analyzing drug-like small molecule data in R. Its latest version contains functions for efficient processing of large numbers of molecules, physicochemical/structural property predictions, structural similarity searching, classification and clustering of compound libraries with a wide spectrum of algorithms. In addition, it offers visualization functions for compound clustering results and chemical structures.
@@ -24,9 +24,9 @@
 LinkingTo: Rcpp, BH
 SystemRequirements: GNU make
 git_url: https://git.bioconductor.org/packages/ChemmineR
-git_branch: RELEASE_3_14
-git_last_commit: a998b14
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 6eb6f02
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:03:40 UTC; biocbuild
+Packaged: 2022-04-26 20:15:01 UTC; biocbuild

=== debian/changelog ===
r-bioc-chemminer (3.48.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Fix lintian-override

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 10:51:38 +0200

## r-bioc-chemminer 3.50.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ChemmineR
 Type: Package
 Title: Cheminformatics Toolkit for R
-Version: 3.48.0
-Date: 2022-03-25
+Version: 3.50.0
+Date: 2022-07-28
 Author: Y. Eddie Cao, Kevin Horan, Tyler Backman, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
 Description: ChemmineR is a cheminformatics package for analyzing drug-like small molecule data in R. Its latest version contains functions for efficient processing of large numbers of molecules, physicochemical/structural property predictions, structural similarity searching, classification and clustering of compound libraries with a wide spectrum of algorithms. In addition, it offers visualization functions for compound clustering results and chemical structures.
@@ -17,16 +17,16 @@
         png,base64enc,DT,rsvg,jsonlite,stringi
 Suggests: RSQLite, scatterplot3d, gplots, fmcsR, snow, RPostgreSQL,
         BiocStyle, knitr, knitcitations, knitrBootstrap, ChemmineDrugs,
-        png,rmarkdown, BiocManager
+        png,rmarkdown, BiocManager,bibtex
 Enhances: ChemmineOB
 URL: https://github.com/girke-lab/ChemmineR
 VignetteBuilder: knitr
 LinkingTo: Rcpp, BH
 SystemRequirements: GNU make
 git_url: https://git.bioconductor.org/packages/ChemmineR
-git_branch: RELEASE_3_15
-git_last_commit: 6eb6f02
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 79a4b34
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 20:15:01 UTC; biocbuild
+Packaged: 2022-11-01 21:07:01 UTC; biocbuild

=== debian/changelog ===
r-bioc-chemminer (3.50.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Update lintian override info format in d/source/lintian-overrides on line 2.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 10:32:41 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                r-cran-jsonlite,
                r-cran-stringi,
                r-cran-bh
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer.git
 Homepage: https://bioconductor.org/packages/ChemmineR/

## r-bioc-chemminer 3.52.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ChemmineR
 Type: Package
 Title: Cheminformatics Toolkit for R
-Version: 3.50.0
-Date: 2022-07-28
+Version: 3.52.0
+Date: 2023-01-31
 Author: Y. Eddie Cao, Kevin Horan, Tyler Backman, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
 Description: ChemmineR is a cheminformatics package for analyzing drug-like small molecule data in R. Its latest version contains functions for efficient processing of large numbers of molecules, physicochemical/structural property predictions, structural similarity searching, classification and clustering of compound libraries with a wide spectrum of algorithms. In addition, it offers visualization functions for compound clustering results and chemical structures.
@@ -24,9 +24,9 @@
 LinkingTo: Rcpp, BH
 SystemRequirements: GNU make
 git_url: https://git.bioconductor.org/packages/ChemmineR
-git_branch: RELEASE_3_16
-git_last_commit: 79a4b34
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 444df16
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 21:07:01 UTC; biocbuild
+Packaged: 2023-04-25 20:32:43 UTC; biocbuild

=== debian/changelog ===
r-bioc-chemminer (3.52.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Add debian/tests/autopkgtest-pkg-r.conf (Lets see whether the test
    works which was formerly switched off)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 21:04:03 +0200

## r-bioc-chemminer 3.54.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ChemmineR
 Type: Package
 Title: Cheminformatics Toolkit for R
-Version: 3.52.0
-Date: 2023-01-31
+Version: 3.54.0
+Date: 2023-07-13
 Author: Y. Eddie Cao, Kevin Horan, Tyler Backman, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
 Description: ChemmineR is a cheminformatics package for analyzing drug-like small molecule data in R. Its latest version contains functions for efficient processing of large numbers of molecules, physicochemical/structural property predictions, structural similarity searching, classification and clustering of compound libraries with a wide spectrum of algorithms. In addition, it offers visualization functions for compound clustering results and chemical structures.
@@ -24,9 +24,9 @@
 LinkingTo: Rcpp, BH
 SystemRequirements: GNU make
 git_url: https://git.bioconductor.org/packages/ChemmineR
-git_branch: RELEASE_3_17
-git_last_commit: 444df16
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 19385e6
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 20:32:43 UTC; biocbuild
+Packaged: 2023-10-24 20:39:53 UTC; biocbuild

=== debian/changelog ===
r-bioc-chemminer (3.54.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 20:38:30 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                r-cran-jsonlite,
                r-cran-stringi,
                r-cran-bh
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer.git
 Homepage: https://bioconductor.org/packages/ChemmineR/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/ChemmineR.html .*/ChemmineR_(.*).tar.gz

## r-bioc-chemminer 3.56.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ChemmineR
 Type: Package
 Title: Cheminformatics Toolkit for R
-Version: 3.54.0
-Date: 2023-07-13
+Version: 3.56.0
+Date: 2023-11-07
 Author: Y. Eddie Cao, Kevin Horan, Tyler Backman, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
 Description: ChemmineR is a cheminformatics package for analyzing drug-like small molecule data in R. Its latest version contains functions for efficient processing of large numbers of molecules, physicochemical/structural property predictions, structural similarity searching, classification and clustering of compound libraries with a wide spectrum of algorithms. In addition, it offers visualization functions for compound clustering results and chemical structures.
@@ -24,9 +24,10 @@
 LinkingTo: Rcpp, BH
 SystemRequirements: GNU make
 git_url: https://git.bioconductor.org/packages/ChemmineR
-git_branch: RELEASE_3_18
-git_last_commit: 19385e6
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 4a63c5e
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 20:39:53 UTC; biocbuild
+Packaged: 2024-05-01 03:01:56 UTC; biocbuild

=== debian/changelog ===
r-bioc-chemminer (3.56.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:25:35 +0200

r-bioc-chemminer (3.56.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 14:06:47 +0200

r-bioc-chemminer (3.56.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Jul 2024 11:18:52 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-rcurl,
                r-cran-dbi,
                r-cran-digest,
-               r-bioc-biocgenerics,
+               r-bioc-biocgenerics (>= 0.50.0),
                r-cran-rcpp,
                r-cran-ggplot2,
                r-cran-gridextra,
@@ -21,7 +21,8 @@
                r-cran-rsvg,
                r-cran-jsonlite,
                r-cran-stringi,
-               r-cran-bh
+               r-cran-bh,
+               architecture-is-64-bit
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer.git
@@ -32,9 +33,12 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-fmcsr (>= 1.46.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: Cheminformatics Toolkit for R
  ChemmineR is a cheminformatics package for analyzing drug-like small
  molecule data in R. Its latest version contains functions for efficient

## r-bioc-chemminer 3.58.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ChemmineR
 Type: Package
 Title: Cheminformatics Toolkit for R
-Version: 3.56.0
-Date: 2023-11-07
+Version: 3.58.0
+Date: 2024-09-26
 Author: Y. Eddie Cao, Kevin Horan, Tyler Backman, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
 Description: ChemmineR is a cheminformatics package for analyzing drug-like small molecule data in R. Its latest version contains functions for efficient processing of large numbers of molecules, physicochemical/structural property predictions, structural similarity searching, classification and clustering of compound libraries with a wide spectrum of algorithms. In addition, it offers visualization functions for compound clustering results and chemical structures.
@@ -17,17 +17,17 @@
         png,base64enc,DT,rsvg,jsonlite,stringi
 Suggests: RSQLite, scatterplot3d, gplots, fmcsR, snow, RPostgreSQL,
         BiocStyle, knitr, knitcitations, knitrBootstrap, ChemmineDrugs,
-        png,rmarkdown, BiocManager,bibtex
+        png,rmarkdown, BiocManager,bibtex,codetools
 Enhances: ChemmineOB
 URL: https://github.com/girke-lab/ChemmineR
 VignetteBuilder: knitr
 LinkingTo: Rcpp, BH
 SystemRequirements: GNU make
 git_url: https://git.bioconductor.org/packages/ChemmineR
-git_branch: RELEASE_3_19
-git_last_commit: 4a63c5e
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 1654f13
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 03:01:56 UTC; biocbuild
+Packaged: 2024-10-29 23:57:44 UTC; biocbuild

=== debian/changelog ===
r-bioc-chemminer (3.58.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 20:35:20 +0100

r-bioc-chemminer (3.58.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 11:44:19 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-rcurl,
                r-cran-dbi,
                r-cran-digest,
-               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-biocgenerics,
                r-cran-rcpp,
                r-cran-ggplot2,
                r-cran-gridextra,
@@ -23,7 +23,7 @@
                r-cran-stringi,
                r-cran-bh,
                architecture-is-64-bit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-chemminer.git
 Homepage: https://bioconductor.org/packages/ChemmineR/
@@ -33,12 +33,9 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.50.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-fmcsr (>= 1.46.0),
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: Cheminformatics Toolkit for R
  ChemmineR is a cheminformatics package for analyzing drug-like small
  molecule data in R. Its latest version contains functions for efficient
